Bug 1018879 - abrt: should obtain user consent before submitting ureports
abrt: should obtain user consent before submitting ureports
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 11:12 EDT by Florian Weimer
Modified: 2015-02-17 12:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:40:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-14 11:12:43 EDT
Description of problem:

On a default GNOME desktop, there is no way to opt out of sending ureports after a crash once you have clicked "Report" in the crash report notification.

Version-Release number of selected component (if applicable):

abrt-gui-2.1.8-1.fc19.x86_64

But perhaps it's also this:

gnome-abrt-0.3.2-1.fc19.x86_64

How reproducible:

Always, until you click "Yes".

Steps to Reproduce:
1. Create a fresh profile with a default GNOME desktop.
2. Reproduce a crash (like "kill -ILL $$" in a terminal window).
3. Click "Report" in the crash report notification.
4. Click "No" in the prompt about sending data.

Actual results:

Even when the user clicks "No", the data is still sent.

Expected results:

The user should have the option to decline reporting, and the message should clearer about what is being send, and ideally link to a privacy policy that documents what is done with the data (is it matched to online accounts? cookies? IP addresses? other identifying information?).

Additional info:

It's unclear what "Don't ask again" means in this context.  When the user clicks "Yes", no future prompts happen even if the checkbox was left unchecked.  Only when the user clicks "No", she is prompted again.
Comment 1 Jakub Filak 2013-10-14 12:00:03 EDT
(In reply to Florian Weimer from comment #0)
> 
> Even when the user clicks "No", the data is still sent.

Yes, that's true. Because the dialogue doesn't asks you for a permission to send the uReport data (we expect that you want to upload them since you clicked "Report") but it asks you if you want to enable "Automatic send uReport" feature. 

> 
> Expected results:
> 
> The user should have the option to decline reporting, and the message should
> clearer about what is being send, and ideally link to a privacy policy that
> documents what is done with the data (is it matched to online accounts?
> cookies? IP addresses? other identifying information?).

Is this page enough? https://github.com/abrt/faf/wiki/uReport

ABRT server (retrace server) doesn't explicitly collect any information about the reporter. It is completely anonymous and no one should be able to connect a particular uReport to a concrete user (machine).

> 
> Additional info:
> 
> It's unclear what "Don't ask again" means in this context.  When the user
> clicks "Yes", no future prompts happen even if the checkbox was left
> unchecked.  Only when the user clicks "No", she is prompted again.

When you click "Yes", "Automatic reporting" feature becomes enabled and since then there is no place for this dialogue. Basically, it doesn't matter whether you check "Don't ask me again" or not if you click "Yes". But if you check "Don't ask me again" and click "No", then you will always have to click "Report" button in a notification bubble to send an uReport data to ABRT server.
Comment 2 Fedora End Of Life 2015-01-09 15:14:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:40:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.